using System;
using System.Collections.Generic;
using System.Text;

namespace DemoAddin
{
	/// <summary>
	/// Event arguments.
	/// </summary>
	public class UpdateEventArgs: EventArgs
	{
		private HierarchyItem m_objRoot = new HierarchyItem("Root");

		/// <summary>
		/// Gets the root of the hierarchy.
		/// </summary>
		/// <value>The root item.</value>
		public HierarchyItem Root
		{
			get { return m_objRoot; }
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="UpdateEventArgs"/> class.
		/// </summary>
		public UpdateEventArgs()
		{
		}
	}
}
