using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DemoAddin;

namespace DemoAddinTest
{
	public partial class DemoToolWindowControlTestDialog : Form
	{
		public DemoToolWindowControlTestDialog()
		{
			InitializeComponent();
		}

		private void c_ctlToolWindowControl_DemoStarted( object sender, DemoAddin.UpdateEventArgs e )
		{
			e.Root.Children.Add( new HierarchyItem( "Child0" ) );
			e.Root.Children.Add( new HierarchyItem( "Child1" ) );

			HierarchyItem objChild2 = new HierarchyItem( "Child2" );
			objChild2.Children.Add( new HierarchyItem( "Child2a" ) );
			objChild2.Children.Add( new HierarchyItem( "Child2b" ) );
			objChild2.Children.Add( new HierarchyItem( "Child2c" ) );

			e.Root.Children.Add( objChild2 );
			e.Root.Children.Add( new HierarchyItem( "Child3" ) );
		}

		private void c_btnForceUpdate_Click( object sender, EventArgs e )
		{
			c_ctlDemo.RebuildTree();
		}
	}
}